﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace Tabcontrol_115275
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            Tabitems = new ObservableCollection<Employee>();
            Tabitems.Add(new Employee("Tab 1", " Lorem ipsum dolor sit amet, lacus amet amet ultricies. Lorem tortor neque, purus taciti quis id. Elementum integer orci accumsan minim phasellus vel.", "John"));
            Tabitems.Add(new Employee("Tab 2", " Lorem ipsum dolor sit amet, lacus amet amet ultricies.  Lorem tortor neque, purus taciti quis id. Elementum integer orci accumsan minim phasellus vel.", "Louis"));
            Tabitems.Add(new Employee("Tab 3", " Lorem ipsum dolor sit amet, lacus amet amet ultricies. Lorem tortor neque, purus taciti quis id. Elementum integer orci accumsan minim phasellus vel.", "Carl"));
            DataContext = this;
        }

        private ObservableCollection<Employee> _tabitems;

        public ObservableCollection<Employee> Tabitems
        {
            get { return _tabitems; }
            set
            {
                _tabitems = value;
            }
        }





        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

    
    }

    public class Employee
    {
        private string _header;

        public string Header
        {
            get { return _header; }
            set { _header = value; }
        }

        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }


        private string _description;

        public string Description
        {
            get { return _description; }
            set { _description = value; }
        }


        public Employee(string header, string description, string name)
        {
            Header = header;
            Name = name;
            Description = description;
        }
    }

}

